using Models;
using System.Diagnostics;

namespace LOLAPP.View;

public partial class Register : ContentPage
{
    public Manager Mgr => (App.Current as App).MyManager;

    public Register()
	{
        InitializeComponent();
        BindingContext= Mgr;
	}
    private void EnregistrerUtilisateur_Clicked(object sender, EventArgs e)
    {
        string username = usernameEntry.Text;
        string password = passwordEntry.Text;

        if (Mgr._utilisateur.Any(u => u.Username == username))
        {
            DisplayAlert("Erreur", "Cet utilisateur existe déjà", "OK");
            return;
        }

        Utilisateur utilisateur = new Utilisateur(username, password);
        Mgr.AddUtilisateur(utilisateur);
        Mgr.Sauvdon();

        DisplayAlert("Succès", "Utilisateur enregistré avec succès", "OK");

        usernameEntry.Text = "";
        passwordEntry.Text = "";
    }
}